Ant API: Class Cvs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Cvs

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Exec
                  |
                  +--org.apache.tools.ant.taskdefs.Cvs

public class Cvs
extends Exec

Author:
  costin@dnt.ro, stefano@apache.org

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Cvs()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setCvsRoot(java.lang.String root)`
`void` | `setDest(java.lang.String dest)`
`void` | `setPackage(java.lang.String p)`
`void` | `setTag(java.lang.String p)`

Methods inherited from class org.apache.tools.ant.taskdefs.Exec
`run, setCommand, setDir, setOs, setOutput`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cvs

    public Cvs()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Description copied from class: Task
  Called by the project to let the task do it's work. Normally it does nothing.
  Overrides:
    execute in class Exec
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### setCvsRoot

    public void setCvsRoot(java.lang.String root)

### setDest

    public void setDest(java.lang.String dest)

### setPackage

    public void setPackage(java.lang.String p)

### setTag

    public void setTag(java.lang.String p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.